<?php session_start();

require_once('../../Connections/odonto_connection1.php');

if(isset($_GET['mensaje']))
{
	$mensaje=$_GET['mensaje'];
	$codigo=$_SESSION['codigo'];
$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo'";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];
$descripcion=$row_rs_ingreso0['descripcion'];

$hora      = date("Y-m-d h:i");
$hora      = strtotime('-3 hour', strtotime($hora));
$hora      = date('Y-m-d h:i', $hora);
$aviso="Mozo en mesa ".$mesa;

require_once('../../Connections/odonto_connection1.php'); 
$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', '$descripcion', '0', '$mensaje', '7', NULL, NULL);";
$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
header("Location:" . "index.php");
}

if(isset($_GET['carta']))
{
	$codigo=$_SESSION['codigo'];
$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo'";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];
$descripcion=$row_rs_ingreso0['descripcion'];

$hora      = date("Y-m-d h:i");
$hora      = strtotime('-3 hour', strtotime($hora));
$hora      = date('Y-m-d h:i', $hora);
$aviso="Carta en mesa ".$mesa;

require_once('../../Connections/odonto_connection1.php'); 
$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', '$descripcion', '0', '$mensaje', '7', NULL, NULL);";
$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
header("Location:" . "index.php");
}

if(isset($_GET['cuenta']))
{
	$codigo=$_SESSION['codigo'];
$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo'";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];
$descripcion=$row_rs_ingreso0['descripcion'];

$hora      = date("Y-m-d h:i");
$hora      = strtotime('-3 hour', strtotime($hora));
$hora      = date('Y-m-d h:i', $hora);
$aviso="Cuenta en mesa ".$mesa;

require_once('../../Connections/odonto_connection1.php'); 
$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', '$descripcion', '0', '$mensaje', '7', NULL, NULL);";
$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
header("Location:" . "index.php");
}

if(isset($_GET['comentarios']))
{
	$codigo=$_SESSION['codigo'];
	$comentarios=$_GET['comentarios'];
	$puntaje=$_GET['puntaje'];
$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo'";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];
$descripcion=$row_rs_ingreso0['descripcion'];

$hora      = date("Y-m-d h:i");
$hora      = strtotime('-3 hour', strtotime($hora));
$hora      = date('Y-m-d h:i', $hora);
$aviso="Comentario en mesa ".$mesa;

require_once('../../Connections/odonto_connection1.php'); 
$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', '$descripcion', '0', NULL, '$puntaje', '$comentarios', NULL);";
$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
header("Location:" . "index.php");
}

if(isset($_GET['suge']))
{
	$codigo=$_SESSION['codigo'];
	$suge=$_GET['suge'];

	$query_rs_todos = "SELECT * FROM `mesas` WHERE codigo LIKE '$codigo'";
$rs_ingreso0 = mysqli_query($odonto_connection,$query_rs_todos) or die(mysqli_error());
$row_rs_ingreso0 = mysqli_fetch_assoc($rs_ingreso0);
$mesa=$row_rs_ingreso0['mesa'];
$negocio=$row_rs_ingreso0['negocio'];
$sucursal=$row_rs_ingreso0['sucursal'];
$descripcion=$row_rs_ingreso0['descripcion'];

$hora      = date("Y-m-d h:i");
$hora      = strtotime('-3 hour', strtotime($hora));
$hora      = date('Y-m-d h:i', $hora);
$aviso="Sugerencias en mesa ".$mesa;

require_once('../../Connections/odonto_connection1.php'); 
$query_rs_tabla2 = "INSERT INTO `avisos` (`id_avi`, `hora`, `latitud`, `longitud`, `negocio`, `sucursal`, `aviso`, `descrip`, `avisado`, `mensaje`, `puntaje`, `coment`, `sugerencias`) VALUES (NULL, CURRENT_TIMESTAMP, null, null, '$negocio', '$sucursal', '$aviso', '$descripcion', '0', NULL, '7', NULL , '$suge');";
$rs_tabla1 = mysqli_query($odonto_connection, $query_rs_tabla2) or die(mysqli_error());
header("Location:" . "index.php");
}
?>
  
<!DOCTYPE HTML>
<html>
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>PonderZone</title>
<link rel="shortcut icon" href="#" />
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<style>
#number {
  font-size:50px;
  color:#434343;
}
</style>
<script>

function myFunction0() {
	var codigo = document.getElementById("codigo").value;
	if(codigo != ""){
	window.open("./auxi_warn.php?boton=1&codigo="+codigo,"_parent");
	}
	else document.getElementById("demo").innerHTML = "Ingresa Codigo!";
}
function myFunction1() {
	var codigo = document.getElementById("codigo").value;
	if(codigo != ""){
	window.open("./auxi_warn.php?boton=2&codigo="+codigo,"_parent");
	}
	else document.getElementById("demo").innerHTML = "Ingresa Codigo!";
}
function myFunction2() {
	var codigo = document.getElementById("codigo").value;
	if(codigo != ""){
	window.open("./auxi_warn.php?boton=3&codigo="+codigo,"_parent");
	}
	else document.getElementById("demo").innerHTML = "Ingresa Codigo!";
}
function myFunction3() {
	var codigo = document.getElementById("codigo").value;
	if(codigo != ""){
	window.open("./auxi_warn.php?boton=4&codigo="+codigo,"_parent");
	}
	else document.getElementById("demo").innerHTML = "Ingresa Codigo!";
}
function myFunction4() {
	var codigo = document.getElementById("codigo").value;
	if(codigo != ""){
	window.open("./auxi_warn.php?boton=5&codigo="+codigo,"_parent");
	}
	else document.getElementById("demo").innerHTML = "Ingresa Codigo!";
}

</script>

</head>
<body style="background-color:black">

<div class="container-fluid">
<br>



<input type="text" class="form-control text-center <?php if(isset($_SESSION['codigo'])){
echo "invisible";}?>" id="codigo" name="codigo" aria-label="Default" aria-describedby="inputGroup-sizing-default" style="height:3rem;font-size:1.5rem" placeholder="Codigo PonderZone" required="true" <?php if(isset($_SESSION['codigo'])){
	$codigo=$_SESSION['codigo'];
echo "value=".$codigo." ></input>";

echo "<a href='auxi_warn.php?deslog=1'><font style='position:absolute;top:2rem;left:7%;font-size:1.2rem;width:8rem;color:#fff'><span class='glyphicon glyphicon-log-out'></span><b>Cambiar mesa</b></font></a>
";

}
?> 
<small class"form-text text-muted text-center" style="color:white" id="demo"></small>  
<br>
<button type="button" class="btn btn-warning btn-lg btn-block" style="height:7rem;font-size:2.5rem;color:white" name="mozo" onclick="myFunction0()" ><b>Llamar Mozo/a</b></button>
  
<button type="button" class="btn btn-danger btn-lg btn-block" style="height:7rem;font-size:2.5rem;color:white" name="carta" onclick="myFunction1()" ><b>Solicitar Carta</b></button>

<button type="button" class="btn btn-success btn-lg btn-block" style="height:7rem;font-size:2.5rem;color:white" name="cuenta" onclick="myFunction2()"><b>Pedir la Cuenta</b></button>

<button type="button" class="btn btn-primary btn-lg btn-block" style="height:7rem;font-size:2.3rem;color:white" name="servicio" onclick="myFunction3()"><b>Calificar Servicio</b></button>

<button type="button" class="btn btn-info btn-lg btn-block" style="height:7rem;font-size:2.3rem;color:white" name="sugerencias" onclick="myFunction4()"><b>Sugerencias</b></button>

<div id="number"><?php 
//echo $_SESSION['inicio'];
//echo $_SESSION['codigo'];

?></div>

</div>


</body>
</html>